Loading...
Searching...
No Matches
XrdOucHash.hh File Reference
`#include <cstdlib>`
`#include <sys/types.h>`
`#include <cstring>`
`#include <ctime>`
`#include "XrdOuc/XrdOucHash.icc"`
Include dependency graph for XrdOucHash.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | XrdOucHash< T >
class | XrdOucHash_Item< T >

## Enumerations

enum | XrdOucHash_Options { Hash_default = 0x0000 , Hash_data_is_key = 0x0001 , Hash_replace = 0x0002 , Hash_count = 0x0004 , Hash_keep = 0x0008 , Hash_dofree = 0x0010 , Hash_keepdata = 0x0020 }

## Enumeration Type Documentation

## XrdOucHash_Options

enum XrdOucHash_Options

Enumerator
Hash_default |
Hash_data_is_key |
Hash_replace |
Hash_count |
Hash_keep |
Hash_dofree |
Hash_keepdata |

Definition at line 51 of file XrdOucHash.hh.

{Hash_default = 0x0000,
Hash_data_is_key = 0x0001,
Hash_replace = 0x0002,
Hash_count = 0x0004,
Hash_keep = 0x0008,
Hash_dofree = 0x0010,
Hash_keepdata = 0x0020
};
Hash_count
@ Hash_count
Definition XrdOucHash.hh:54
Hash_data_is_key
@ Hash_data_is_key
Definition XrdOucHash.hh:52
Hash_keepdata
@ Hash_keepdata
Definition XrdOucHash.hh:57
Hash_default
@ Hash_default
Definition XrdOucHash.hh:51
Hash_replace
@ Hash_replace
Definition XrdOucHash.hh:53
Hash_keep
@ Hash_keep
Definition XrdOucHash.hh:55
Hash_dofree
@ Hash_dofree
Definition XrdOucHash.hh:56